## org.biojava.bio.structure.server
Class PrepareMMcifIndexFile

    java.lang.Object
      org.biojava.bio.structure.server.PrepareIndexFile
          org.biojava.bio.structure.server.PrepareMMcifIndexFile

    public class PrepareMMcifIndexFile

extends PrepareIndexFile

A class to index all files in a PDB installation

Since:
  1.7
Author:
  Andreas Prlic

Field Summary
`static Logger` `logger`

Constructor Summary
`PrepareMMcifIndexFile()`

Method Summary

`void`

`createMMcifInfoList(File[] pdbfiles, File outputFile, File chainInfoFile)`
parses a set of PDB files and writes info into a file the file is tab separated and has the following columns: name length resolution depositionDate modificationDate technique title classification filename binaryDirectory: a directory in which binary files containing the atoms will be places, to provide a speedup This method needs to be run, before a DBSearch can be performed, since the files created by this method are required for the DBSearch

`File[]` `getAllMMcif(File dir)`
`static void` `main(String[] args)`
`void` `prepareIndexFileForInstallation(FlatFileInstallation installation)` prepare the index file for this installation

Methods inherited from class org.biojava.bio.structure.server.PrepareIndexFile
`createPDBInfoList, getAllPDB, logPDBInfoFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    public static Logger logger

Constructor Detail

### PrepareMMcifIndexFile

    public PrepareMMcifIndexFile()

Method Detail

### main

    public static void main(String[] args)

### getAllMMcif

    public File[] getAllMMcif(File dir)

### prepareIndexFileForInstallation

    public void prepareIndexFileForInstallation(FlatFileInstallation installation)
                                         throws FileNotFoundException,
                                                IOException

  prepare the index file for this installation

  Overrides:
    `prepareIndexFileForInstallation` in class `PrepareIndexFile`
  Parameters:
    `installation` -
  Throws:
    `FileNotFoundException`
    `IOException`

### createMMcifInfoList

    public void createMMcifInfoList(File[] pdbfiles,
                                    File outputFile,
                                    File chainInfoFile)
                             throws FileNotFoundException,
                                    IOException

  parses a set of PDB files and writes info into a file the file is tab separated and has the following columns: name length resolution depositionDate modificationDate technique title classification filename binaryDirectory: a directory in which binary files containing the atoms will be places, to provide a speedup This method needs to be run, before a DBSearch can be performed, since the files created by this method are required for the DBSearch

  Parameters:
    `pdbfiles` -
    `outputFile` -
  Throws:
    `FileNotFoundException`
    `IOException`